summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZach van Rijn <me@zv.io>2022-01-10 21:19:50 -0600
committerZach van Rijn <me@zv.io>2022-01-10 21:19:50 -0600
commit9fec563c4fecc52629bbbe585dc057530f543b7e (patch)
treef38c545c0f1e17c00ca6481c4582b988e88bb740
parentc2b68004d416fa5b8d10f0c687f44f994b2b4ea0 (diff)
downloadsite-ng-9fec563c4fecc52629bbbe585dc057530f543b7e.tar.gz
site-ng-9fec563c4fecc52629bbbe585dc057530f543b7e.tar.bz2
site-ng-9fec563c4fecc52629bbbe585dc057530f543b7e.tar.xz
site-ng-9fec563c4fecc52629bbbe585dc057530f543b7e.zip
Temporarily downgrade Node.js (apparently unstable). Update privacy policy.
-rwxr-xr-xassets/css/compile.sh6
-rwxr-xr-xassets/images/polyguin.sh2
-rw-r--r--src/legal/privacy.html6
3 files changed, 9 insertions, 5 deletions
diff --git a/assets/css/compile.sh b/assets/css/compile.sh
index 72b18ec..f15c031 100755
--- a/assets/css/compile.sh
+++ b/assets/css/compile.sh
@@ -1,12 +1,13 @@
#!/bin/sh -e
HERE=$(dirname $(readlink -f ${0}));
-NODE=17.0.0-alpine3.14; # https://hub.docker.com/_/node
+NODE=16.13.1-alpine3.14; # https://hub.docker.com/_/node
cd ${HERE};
#===============================================================
docker run -v${HERE}:/x -w/x --rm -i node:${NODE} sh <<'EOF'
+set -e;
apk update;
apk upgrade;
apk add git;
@@ -15,7 +16,7 @@ apk add git;
cd /tmp;
git clone https://github.com/sass/sass.git;
cd sass;
-git checkout 7d3f10de38cd390c23f3f3b7f646f5095cf78a05;
+git checkout 72974e1ec9c5be247b3ebdfaff788c090dfcd12b;
npm audit fix;
npm install;
npm install -g sass;
@@ -34,6 +35,7 @@ mv theme.css src;
#===============================================================
docker run -u$(id -u):$(id -g) -v${HERE}:/x -w/x --rm -i node:${NODE} sh <<'EOF'
+set -e;
#===============================================================
npm install;
diff --git a/assets/images/polyguin.sh b/assets/images/polyguin.sh
index 49a7078..28c10db 100755
--- a/assets/images/polyguin.sh
+++ b/assets/images/polyguin.sh
@@ -88,7 +88,7 @@ grep fill: polyguin.svg \
#===============================================================
-docker run -v$(pwd):/x -w/x --rm -i alpine:3.14 <<'EOF'
+docker run -v$(pwd):/x -w/x --rm -i alpine:3.15 <<'EOF'
apk add graphicsmagick imagemagick;
#===============================================================
diff --git a/src/legal/privacy.html b/src/legal/privacy.html
index 007ffa4..5f76f33 100644
--- a/src/legal/privacy.html
+++ b/src/legal/privacy.html
@@ -39,7 +39,9 @@ __HEADER__
<br />
<p>When you access our website or web services, your IP address, page(s) requested, and browser's agent string may be stored temporarily. This information is cleared periodically, and is held for no more than six months. If you do not consent to this, please close your browser immediately.</p>
<br />
- <p>If you register an account with our GitLab platform (<code>git.adelielinux.org</code>) your IP address, email address, and other user-supplied information may be stored for the purposes of facilitating access to your account. This information is stored for as long as you maintain such an account, and may be deleted upon request in writing to an administrator. Please note that if you have engaged with any part of the platform outside of your personal account, certain information cannot be deleted.</p>
+ <p>If you opt-in to use a third-party distribution mirror (<code>www.adelielinux.org/mirrors</code>) similar data may be made available to that third-party. If you do not consent to this, use an official mirror only.</p>
+ <br />
+ <p>If you register an account with our GitLab platform (<code>git.adelielinux.org</code>) your IP address, email address, and other user-supplied information may be stored for the purposes of facilitating access to your account. This information is stored for as long as you maintain such an account, and may be deleted upon request by writing to an administrator. Please note that if you have engaged with any part of the platform outside of your personal account, certain information cannot be deleted.</p>
<br />
<p>If you interact with our community via IRC (<code>irc.interlinked.me</code>) your IP address, hostname, and other user-supplied information may be stored by any other user; this information is considered public and there is no way to hide or remove it. We do, however, take a best-effort approach to masking IP addresses but cannot make any guarantees about the usefulness of this process.</p>
<br />
@@ -49,7 +51,7 @@ __HEADER__
<br />
<p>We do not require or collect cookies in any way other than as described above. Depending on where you live, you may be asked to consent to one or more privacy-concerning matters. While we may be legally obligated to inform you of these matters, we currently do not use this information in any way.</p>
<br />
- <p>This page was last updated <code>2021-05-22</code> and may be updated at any time and without notice.</p>
+ <p>This page was last updated <code>2022-01-10</code> and may be updated at any time and without notice.</p>
</div>
</div>
</div>